Bug 1777234 - gdl crashes after GraphicsMagick update to 1.3.32-1
Summary: gdl crashes after GraphicsMagick update to 1.3.32-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: gdl
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-27 08:59 UTC by Christoph Neuhaus
Modified: 2020-02-19 02:57 UTC (History)
1 user (show)

Fixed In Version: gdl-0.9.9-11.20190915git2870075.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-19 02:57:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Christoph Neuhaus 2019-11-27 08:59:48 UTC
Description of problem:

gdl does not start anymore after the update of the dependency GraphicsMagick to version 1.3.32-1.


Version-Release number of selected component (if applicable):

gdl.x86_64                                        0.9.9-6.el7
GraphicsMagick.x86_64                             1.3.32-1.el7


How reproducible:

CentOS 7; every time when gdl is started.


Steps to Reproduce:
1. $ gdl


Actual results:
$ gdl
gdl: magick/semaphore.c:601: LockSemaphoreInfo: Assertion `semaphore_info != (SemaphoreInfo *) ((void *)0)' failed.
Aborted


Expected results:
$ gdl

  GDL - GNU Data Language, Version 0.9.9

- For basic information type HELP,/INFO
- No startup file read (GDL_STARTUP/IDL_STARTUP env. var. not set). 
- Please report bugs, feature or help requests and patches at:
  https://github.com/gnudatalanguage/gdl

GDL>


Additional info:

- gdl starts successfully with the previous GraphicsMagick release 1.3.31-2.el7

- gdl shows the same behaviour on CentOS 6 (gdl 0.9.5-4.el6); it works with GraphicsMagick 1.3.31-2.el6, but crashes with the same error message when GraphicsMagick 1.3.32-1.el6 is installed

Comment 1 Fedora Update System 2020-02-03 02:50:05 UTC
FEDORA-EPEL-2020-86bc8f7a8a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-86bc8f7a8a

Comment 2 Fedora Update System 2020-02-04 02:10:40 UTC
gdl-0.9.9-11.20190915git2870075.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-86bc8f7a8a

Comment 3 Fedora Update System 2020-02-19 02:57:13 UTC
gdl-0.9.9-11.20190915git2870075.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.